Package htsjdk.beta.plugin.variants

# Interface VariantsCodec

All Superinterfaces:
  `HtsCodec<VariantsDecoderOptions,VariantsEncoderOptions>`, `Upgradeable`

All Known Implementing Classes:
  `VCFCodec`, `VCFCodecV3_2`, `VCFCodecV3_3`, `VCFCodecV4_0`, `VCFCodecV4_1`, `VCFCodecV4_2`, `VCFCodecV4_3`

public interface VariantsCodec extends HtsCodec<VariantsDecoderOptions,VariantsEncoderOptions>
Base class for all `HtsContentType.VARIANT_CONTEXTS` codecs.

## Method Summary

Modifier and Type
Method
Description
`default HtsContentType`
`getContentType()`
Get the `HtsContentType` for this codec.

### Methods inherited from interface htsjdk.beta.plugin.HtsCodec

`canDecodeSignature, canDecodeURI, getDecoder, getDisplayName, getEncoder, getFileFormat, getSignatureLength, getSignatureProbeLength, getVersion, ownsURI`

### Methods inherited from interface htsjdk.beta.plugin.Upgradeable

`runVersionUpgrade`

## Method Details

### getContentType

default HtsContentType getContentType()
Description copied from interface: `HtsCodec`
Get the `HtsContentType` for this codec.

Specified by:
  `getContentType` in interface `HtsCodec<VariantsDecoderOptions,VariantsEncoderOptions>`
Returns:
  the `HtsContentType` for this codec. The `HtsContentType` determines the interfaces, including the HEADER and RECORD types, used by this codec's `HtsEncoder` and `HtsDecoder`. Each implementation of a given content type exposes the same interfaces, but over a different file format or version. For example, both the BAM and HTSGET_BAM codecs have codec type `HtsContentType.ALIGNED_READS`, and are derived from `ReadsCodec`, but the serialized file formats and access mechanisms for the two codecs are different).